| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Attributes | List of all members
AR2VideoBufferT Struct Reference

A structure which carries information about a video frame retrieved by the video library. More...

`#include <ar.h>`

Collaboration diagram for AR2VideoBufferT:
[legend]

## Public Attributes
ARUint8 * | buff
| A pointer to the packed video data for this video frame. The video data pixel format is as specified by arVideoGetPixelFormat(). For multi-planar frames, this pointer is a copy of bufPlanes[0].
ARUint8 ** | bufPlanes
| For multi-planar video frames, this must be an array of length bufPlaneCount of (ARUint8*), into which will be copied pointers to the packed video data for each plane. For single-plane formats, this will be NULL.
unsigned int | bufPlaneCount
| For multi-planar video frames, this is the number of frame planes. For single-plane formats, this will be 0.
ARUint8 * | buffLuma
| A pointer to a luminance-only version of the image. For luminance-only video formats this pointer is a copy of buff. For multi-planar formats which include a luminance-only plane, this pointer is a copy of one of the bufPlanes[] pointers. In all other cases, this pointer points to a buffer containing a copy of the video frame converted to luminance only.
int | fillFlag
| Set non-zero when buff is valid.
AR2VideoTimestampT | time
| Time at which buff was filled.

## Detailed Description

A structure which carries information about a video frame retrieved by the video library.

See also
  arVideoGetPixelFormat arVideoGetPixelFormat

## Member Data Documentation

## ◆ buff

ARUint8* AR2VideoBufferT::buff

A pointer to the packed video data for this video frame. The video data pixel format is as specified by arVideoGetPixelFormat(). For multi-planar frames, this pointer is a copy of bufPlanes[0].

## ◆ buffLuma

ARUint8* AR2VideoBufferT::buffLuma

A pointer to a luminance-only version of the image. For luminance-only video formats this pointer is a copy of buff. For multi-planar formats which include a luminance-only plane, this pointer is a copy of one of the bufPlanes[] pointers. In all other cases, this pointer points to a buffer containing a copy of the video frame converted to luminance only.

## ◆ bufPlaneCount

unsigned int AR2VideoBufferT::bufPlaneCount

For multi-planar video frames, this is the number of frame planes. For single-plane formats, this will be 0.

## ◆ bufPlanes

ARUint8** AR2VideoBufferT::bufPlanes

For multi-planar video frames, this must be an array of length bufPlaneCount of (ARUint8*), into which will be copied pointers to the packed video data for each plane. For single-plane formats, this will be NULL.

## ◆ fillFlag

int AR2VideoBufferT::fillFlag

Set non-zero when buff is valid.

## ◆ time

AR2VideoTimestampT AR2VideoBufferT::time

Time at which buff was filled.

The documentation for this struct was generated from the following file:

- Source/ARX/AR/include/ARX/AR/ar.h